=== debian/changelog ===
skiboot (5.0.4-0ubuntu2) wily; urgency=medium

  * debian/patches/bundle_opal-prd.patch: Bundle a copy of opal-prd.h to make
    building easier.
  * debian/control: drop Build-Depends on linux-headers; not necessary with
    opal-prd.h bundled.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 30 Jul 2015 15:21:04 -0400

skiboot (5.0.4-0ubuntu1) wily; urgency=medium

  * Initial release (LP: #1467542)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 02 Jul 2015 15:00:43 -0400
