=== debian/changelog ===
skiboot (5.1.1-0ubuntu1~15.04.1) vivid; urgency=medium

  * New upstream release. (LP: #1467542)
  * Dropped patches; applied upstream:
    - 0001-external-gard-add-Makefile-targets-to-make-debian-pa.patch
    - 0001-Honor-compilation-flags-passed-from-the-environment.patch
    - 0001-Fixes-for-compilation-with-Werror.patch
  * debian/patches/uninitialized_uses.patch: fix up uninitialized variables
    that make our build fail.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 01 Sep 2015 12:37:57 -0400
