=== external/opal-prd/Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 CC = $(CROSS_COMPILE)gcc
 
-CFLAGS = -m64 -Werror -Wall -g2 -ggdb
-LDFLAGS = -m64
+CFLAGS += -m64 -Werror -Wall -g2 -ggdb
+LDFLAGS += -m64
 ASFLAGS = -m64
-CPPFLAGS = -I. -I../../include -I../../
+CPPFLAGS += -I. -I../../include -I../../
 
 prefix = /usr/local/
 sbindir = $(prefix)/sbin
+datadir = $(prefix)/share
+mandir = $(datadir)/man
 
 # Use make V=1 for a verbose build.
 ifndef V
@@ -16,11 +18,14 @@
         Q_MKDIR=@echo ' MKDIR ' $@;
 endif
 
-OBJS = opal-prd.o thunk.o pnor.o i2c.o module.o libffs.o libflash.o ecc.o
+OBJS = opal-prd.o thunk.o pnor.o i2c.o module.o version.o \
+       blocklevel.o libffs.o libflash.o ecc.o
 
 all: opal-prd
 
 LINKS = ccan
+
+OPAL_PRD_VERSION ?= $(shell ../../make_version.sh opal-prd)
 
 ifdef KERNEL_DIR
 LINKS += asm/opal-prd.h
@@ -48,6 +53,19 @@
 opal-prd: $(OBJS)
 	$(Q_LINK)$(LINK.o) -o $@ $^
 
+version.c: ../../make_version.sh .version
+	@(if [ "a$(OPAL_PRD_VERSION)" = "a" ]; then \
+	echo "#error You need to set OPAL_PRD_VERSION environment variable" > $@ ;\
+	else \
+	echo "const char version[] = \"$(OPAL_PRD_VERSION)\";" ;\
+	fi) > $@
+
+.PHONY: VERSION-always
+.version: VERSION-always
+	@echo $(OPAL_PRD_VERSION) > $@.tmp
+	@cmp -s $@ $@.tmp || cp $@.tmp $@
+	@rm -f $@.tmp
+
 test: test/test_pnor
 
 test/test_pnor: test/test_pnor.o pnor.o libflash/libflash.o libflash/libffs.o
@@ -55,6 +73,7 @@
 
 install: all
 	install -D opal-prd $(DESTDIR)$(sbindir)/opal-prd
+	install -D -m 0644 opal-prd.8 $(DESTDIR)$(mandir)/man8/opal-prd.8
 
 clean:
 	$(RM) *.[odsa] opal-prd
