=== debian/changelog ===
skiboot (5.1.13-0ubuntu1~14.04.1) trusty; urgency=medium

  * New upstream release, adding support for newer hardware and firmware.
    LP: #1512188.
    - drop no longer needed parts of debian/patches/uninitialized_uses.patch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Feb 2016 11:05:13 -0800

skiboot (5.1.1-0ubuntu1~14.04.1) trusty; urgency=medium

  * New upstream release.
  * Dropped patches; applied upstream:
    - 0001-external-gard-add-Makefile-targets-to-make-debian-pa.patch
    - 0001-Honor-compilation-flags-passed-from-the-environment.patch
    - 0001-Fixes-for-compilation-with-Werror.patch
  * debian/patches/uninitialized_uses.patch: fix up uninitialized variables
    that make our build fail.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 01 Sep 2015 12:36:25 -0400
