=== debian/control ===
Source: skiboot
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeremy Kerr <jk@ozlabs.org>
Build-Depends: debhelper (>= 9), dh-systemd
Standards-Version: 3.9.5
Homepage: http://github.com/open-power/skiboot/
#Vcs-Git: git://git.debian.org/collab-maint/skiboot.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/skiboot.git;a=summary

Package: opal-prd
Architecture: ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OPAL Processor Recovery Diagnostics daemon
 This package provides a daemon to load and run the OpenPower firmware's
 Processor Recovery Diagnostics binary. This is responsible for runtime
 maintenance of Power hardware.

Package: opal-utils
Architecture: ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OPAL firmware utilities
 This package contains utility programs.
 .
 The 'gard' utility, can read, parse and clear hardware gard partitions on
 OpenPower platforms.
