=== debian/watch ===
version=3
https://github.com/open-power/skiboot/tags .*/skiboot-(\d\S*)\.tar\.gz
