## skiboot 5.2.2

=== external/opal-prd/Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-CC = $(CROSS_COMPILE)gcc
-
 CFLAGS += -m64 -Werror -Wall -g2 -ggdb
 LDFLAGS += -m64
 ASFLAGS = -m64
@@ -10,6 +8,11 @@
 datadir = $(prefix)/share
 mandir = $(datadir)/man
 
+all: opal-prd
+
+GET_ARCH = ../../external/common/get_arch.sh
+include ../../external/common/rules.mk
+
 # Use make V=1 for a verbose build.
 ifndef V
         Q_CC=	@echo '    CC ' $@;
@@ -18,12 +21,14 @@
         Q_MKDIR=@echo ' MKDIR ' $@;
 endif
 
+LIBFLASH_OBJS = libflash-blocklevel.o libflash-libffs.o \
+                libflash-libflash.o libflash-ecc.o \
+                libflash-file.o
+
 OBJS = opal-prd.o thunk.o pnor.o i2c.o module.o version.o \
-       blocklevel.o libffs.o libflash.o ecc.o
+       $(LIBFLASH_OBJS) common-arch_flash.o
 
-all: opal-prd
-
-LINKS = ccan
+LINKS = ccan common libflash $(ARCH_LINKS)
 
 OPAL_PRD_VERSION ?= $(shell ../../make_version.sh opal-prd)
 
@@ -34,17 +39,23 @@
 ccan:
 	$(Q_LN)ln -sfr ../../ccan ./ccan
 
+libflash:
+	$(Q_LN)ln -sfr ../../libflash ./libflash
+
+common:
+	$(Q_LN)ln -sfr ../common ./common
+
 asm/opal-prd.h:
 	$(Q_MKDIR)mkdir -p asm
 	$(Q_LN)ln -sfr $(KERNEL_DIR)/arch/powerpc/include/uapi/asm/opal-prd.h \
 			asm/opal-prd.h
 
-$(OBJS): $(LINKS)
+$(OBJS): | $(LINKS)
 
 %.o: %.c
 	$(Q_CC)$(COMPILE.c) $< -o $@
 
-%.o: ../../libflash/%.c
+$(LIBFLASH_OBJS): libflash-%.o : libflash/%.c
 	$(Q_CC)$(COMPILE.c) $< -o $@
 
 %.o: %.S
@@ -66,9 +77,9 @@
 	@cmp -s $@ $@.tmp || cp $@.tmp $@
 	@rm -f $@.tmp
 
-test: test/test_pnor
+test: $(LINKS) test/test_pnor
 
-test/test_pnor: test/test_pnor.o pnor.o libflash/libflash.o libflash/libffs.o
+test/test_pnor: test/test_pnor.o pnor.o $(LIBFLASH_OBJS) common-arch_flash.o
 	$(Q_LINK)$(LINK.o) -o $@ $^
 
 install: all
