=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: skiboot
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeremy Kerr <jk@ozlabs.org>
+Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
 Build-Depends: debhelper (>= 9), dh-systemd
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://github.com/open-power/skiboot/
 #Vcs-Git: git://git.debian.org/collab-maint/skiboot.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/skiboot.git;a=summary
