=== debian/changelog ===
skiboot (5.3.3-1ubuntu0.1) yakkety; urgency=medium

  * debian/opal-prd.service: set Restart=always, which is the correct policy
    for this hardware-related service in the unlikely event of crashes.
    LP: #1671019.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Jun 2017 13:06:37 -0700

skiboot (5.3.3-1) unstable; urgency=medium

  * New upstream release
  * Build and distribute getscom, putscom, pflash. Created basic manpages
    (Closes: #836405))
  * Changed d/opal-prd.docs, d/opal-utils.docs because README got renamed to
    README

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Tue, 06 Sep 2016 10:11:25 +0200

skiboot (5.2.4-2) unstable; urgency=medium

  * Forced no-pie for Ubuntu 16.10 as previous change was not enough : in 16.10
    gcc's default change to build PIE by default.

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Mon, 18 Jul 2016 15:52:41 +0200
