=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: skiboot
 Section: admin
 Priority: optional
-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
 Build-Depends: debhelper (>= 9), dh-systemd
 Standards-Version: 3.9.8
 Homepage: http://github.com/open-power/skiboot/
