=== external/opal-prd/Makefile ===
--- 
+++ 
@@ -71,3 +71,4 @@
 
 distclean: clean
 	$(RM) -f $(LINKS) asm
+	$(RM) -f libflash ccan version.c .version common
