=== debian/changelog ===
skiboot (5.4.3-1ubuntu0.16.04.2) xenial; urgency=medium

  * opal-prd: Have a worker process handle page offlining
     (LP: #1904585) Have a worker process handle page offlining
     d/patches/fix-opal-prd-have-worker-process-handle-page-offlining.patch

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Fri, 11 Dec 2020 14:22:13 -0600

skiboot (5.4.3-1ubuntu0.16.04.1) xenial; urgency=medium

  * Backport latest upstream release to xenial. (LP: #1701698)
  * Merge the xenial and Debian changelogs.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 11 Jul 2017 14:42:14 +0200

skiboot (5.4.3-1) unstable; urgency=medium

  * New upstream release
  * d/patches/fix-hardening-for-opal-gard.patch removed as it's applied upstream
  * d/control : 
    - added Depends on lsb-base for opal-prd.init
    - added ppc64 arch
  * d/rules :
    - proper clean is almost done by upstream, override_dh_auto_clean stripped
    - enabled tests where they make sense
  * d/patches/fix-distclean-for-gard-and-xscom-utils.patch : remaining cleanup
    to be forwarded upstream
  * d/opal-prd.socket : removed
    d/opal-prd.service : linked to upstream service file
    we now use service file from upstream that doesn't use systemd's socket
    : opal-prd already does all the socket handling.
  * d/patches/opal-prd-service-file-improvements.patch : added to handle man
    page and /etc/default/opal-prd properly (Closes: LP : #1549098)
  * Use upstream manpage :
    d/opal-prd.8 : fixes were applied upstream
    d/opal-prd.manpages : use upstream manpage 
  * d/patches/direct-systemd-to-always-restart-opal-prd.patch : applying
    upstream patch in advance to restart opal-prd irrespective of why it
    stopped.  (Closes: LP : #1671019)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Wed, 08 Mar 2017 16:06:12 +0000

skiboot (5.1.13-0ubuntu3) xenial; urgency=medium

  * debian/opal-prd.service: set Restart=always, which is the correct policy
    for this hardware-related service in the unlikely event of crashes.
    LP: #1671019.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Jun 2017 21:34:52 -0700

skiboot (5.1.13-0ubuntu2) xenial; urgency=medium

  * Update debian/opal-prd.service so that the command for systemd matches
    the one for upstart.  Thanks to Cédric Le Goater <clg@fr.ibm.com>
    for the fix.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Feb 2016 10:21:00 -0800

skiboot (5.1.13-0ubuntu1) xenial; urgency=medium

  * New upstream release, adding support for newer hardware and firmware.
    LP: #1512188.
    - drop no longer needed parts of debian/patches/uninitialized_uses.patch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Feb 2016 11:05:13 -0800

skiboot (5.1.1-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * Dropped patches; applied upstream:
    - 0001-external-gard-add-Makefile-targets-to-make-debian-pa.patch
    - 0001-Honor-compilation-flags-passed-from-the-environment.patch
    - 0001-Fixes-for-compilation-with-Werror.patch
  * debian/patches/uninitialized_uses.patch: fix up uninitialized variables
    that make our build fail.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 01 Sep 2015 12:36:25 -0400
