=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

UPSTREAM_VERSION := $(shell dpkg-parsechangelog -S Version | sed 's/-.*//')

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# Disable PIE flag has it makes opal-prd segfault
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
# Also force no-pie for Ubuntu 16.10 where gcc's defaults have been set to
# build Position Independent Executables (PIE) on amd64 and ppc64le (gcc was
# configured this way for s390x in Ubuntu 16.04 LTS).
export DEB_LDFLAGS_MAINT_APPEND = -no-pie


%:
	dh $@ --with systemd

override_dh_auto_build:
	OPAL_PRD_VERSION=opal-prd-$(UPSTREAM_VERSION) make V=1 -C external/opal-prd/
	GARD_VERSION=gard-$(UPSTREAM_VERSION) make V=1 -C external/gard/
	PFLASH_VERSION=pflash-$(UPSTREAM_VERSION) make V=1 -C external/pflash
	XSCOM_VERSION=xcom-$(UPSTREAM_VERSION) make V=1 -C external/xscom-utils

override_dh_auto_install:
	make -C external/opal-prd/ prefix=/usr DESTDIR=../../debian/tmp/ install
	make -C external/gard/ prefix=/usr DESTDIR=../../debian/tmp/ install
	make -C external/pflash/ prefix=/usr DESTDIR=../../debian/tmp/ install
	make -C external/xscom-utils/ prefix=/usr DESTDIR=../../debian/tmp/ install

override_dh_auto_clean:
	make -C external/opal-prd/ distclean
	make -C external/gard/ distclean
	make -C external/pflash/ distclean
	make -C external/xscom-utils/ distclean
	dh_auto_clean

override_dh_auto_test:
	# We only run test for the directories we build utils from and where tests exists
	make -C external/gard/ check
