=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 9), dh-systemd
-Standards-Version: 3.9.8
-Homepage: http://github.com/open-power/skiboot/
+XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
+Homepage: https://github.com/open-power/skiboot/
+Vcs-Git: https://salsa.debian.org/debian/skiboot.git                                
+Vcs-Browser: https://salsa.debian.org/debian/skiboot                                
 
 Package: opal-prd
 Architecture: ppc64el ppc64
 Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base
+Suggests: rsyslog
 Description: OPAL Processor Recovery Diagnostics daemon
  This package provides a daemon to load and run the OpenPower firmware's
  Processor Recovery Diagnostics binary. This is responsible for runtime
