## skiboot 6.1

=== debian/changelog ===
skiboot (6.1-4) unstable; urgency=medium

  * Use file operation used on x86 for ARCH_UNKNOWN

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 22 Nov 2018 16:26:10 +0100

skiboot (6.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Frédéric Bonnard ]
  * Use default m32 or m64 gcc flag for xscom-utils
  * Build opal-utils on any architecture
  * Define new package qemu-skiboot to provide skiboot firmware
  * Bump Standards-Version (no change needed)

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 16 Nov 2018 11:11:55 +0100

skiboot (6.1-2) unstable; urgency=medium

  * Fix wrong owner after log is being rotated (Closes: LP: #1785026)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 02 Aug 2018 11:33:25 +0200

skiboot (6.1-1) unstable; urgency=medium

  * New upstream release
  * Improve formatting with wrap-and-sort
  * Set proper debhelper Build-Depends
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 30 Jul 2018 11:31:54 +0200

skiboot (5.10~rc4-2) unstable; urgency=medium

  * Fix opal-prd spinning and consuming 100% CPU

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 24 Apr 2018 13:12:19 +0200
