=== debian/control ===
Source: skiboot
Section: admin
Priority: optional
Maintainer: Frédéric Bonnard <frediz@debian.org>
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: gcc-powerpc64-linux-gnu
Standards-Version: 4.2.1
Homepage: https://github.com/open-power/skiboot/
Vcs-Git: https://salsa.debian.org/debian/skiboot.git
Vcs-Browser: https://salsa.debian.org/debian/skiboot

Package: qemu-skiboot
Depends: ${misc:Depends}
Suggests: qemu
Architecture: all
Description: OpenPower firmware component
 This package provides the upstream skiboot binary suitable for using with the
 powernv Qemu machine.
 .
 It is not recommended to flash this binary as your system firmware.

Package: opal-prd
Architecture: ppc64 ppc64el
Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
Suggests: rsyslog
Description: OPAL Processor Recovery Diagnostics daemon
 This package provides a daemon to load and run the OpenPower firmware's
 Processor Recovery Diagnostics binary. This is responsible for runtime
 maintenance of Power hardware.

Package: opal-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OPAL firmware utilities
 This package contains utility programs.
 .
 The 'gard' utility, can read, parse and clear hardware gard partitions on
 OpenPower platforms.
