## skiboot 6.2

=== external/pflash/Makefile ===
--- 
+++ 
@@ -3,6 +3,14 @@
 include ../../external/common/rules.mk
 
 all: links arch_links $(EXE)
+
+#Rebuild version.o so that the the version always matches
+#what the test suite will get from ./make_version.sh
+check: version.o all
+	$(MAKE) -C ../ffspart
+	@ln -sf ../../make_version.sh make_version.sh
+	@ln -sf ../../test/test.sh test/test.sh
+	@test/test-pflash
 
 .PHONY: VERSION-always
 .version: VERSION-always
@@ -12,6 +20,7 @@
 
 install: all $(INSTALLDEPS)
 	install -D pflash $(DESTDIR)$(sbindir)/pflash
+	install -D -m 0644 pflash.1 $(DESTDIR)$(mandir)/man1/pflash.1
 
 .PHONY: dist
 #File is named $(PFLASH_VERSION).tar because the expectation is that pflash-
@@ -30,5 +39,5 @@
 .PHONY: distclean
 distclean: clean
 	rm -f *.c~ *.h~ *.sh~ Makefile~ config.mk~ libflash/*.c~ libflash/*.h~
-	rm -f libflash ccan .version .version.tmp
+	rm -f libflash ccan version.c .version .version.tmp
 	rm -f common io.h
