=== debian/changelog ===
skiboot (6.2-1) unstable; urgency=medium

  * New upstream release 6.2
  * Upgrade compat level
  * Add Multi-Arch hinter
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 11 Jan 2019 13:57:30 +0100
