=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper (>= 12~)
 Build-Depends-Indep: gcc-powerpc64-linux-gnu
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/open-power/skiboot/
 Vcs-Git: https://salsa.debian.org/debian/skiboot.git
 Vcs-Browser: https://salsa.debian.org/debian/skiboot
@@ -13,6 +13,7 @@
 Depends: ${misc:Depends}
 Suggests: qemu
 Architecture: all
+Multi-Arch: foreign
 Description: OpenPower firmware component
  This package provides the upstream skiboot binary suitable for using with the
  powernv Qemu machine.
