## skiboot 6.5

=== debian/changelog ===
skiboot (6.5-1) unstable; urgency=medium

  * Update to new upstream version 6.5.
  * Upgrade debhelper compatibility version
  * Fix lintian skip-systemd-native-flag-missing-pre-depends
  * Bump Standards-Version (no change needed)
  * Update d/copyright information
  * Move sbin commands manpages from section 1 to 8

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 21 Aug 2019 15:15:46 +0200
