=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper (>= 12~)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: gcc-powerpc64-linux-gnu
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/open-power/skiboot/
 Vcs-Git: https://salsa.debian.org/debian/skiboot.git
 Vcs-Browser: https://salsa.debian.org/debian/skiboot
@@ -23,6 +23,7 @@
 Package: opal-prd
 Architecture: ppc64 ppc64el
 Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: rsyslog
 Description: OPAL Processor Recovery Diagnostics daemon
  This package provides a daemon to load and run the OpenPower firmware's
